Subject: Re: [PATCH 5/9] ps3: Preallocate bootmem memory for ps3fb

From: Arnd Bergmann <[email-masked]>
Date: Tue, 30 Jan 2007 11:44:41 +0100

On Tuesday 30 January 2007 10:08, Benjamin Herrenschmidt wrote:
> 
> > I'm afraid that assumption is usually false, as you only need to access the
> > FLASH when you want to change boot flags or update the boot loader.
> 
> At the same time, flash doesn't have to be fast... can't we use a
> smaller bounce buffer (a page) and divide the transfer ?

No, the problem is that the flash interface only supports an hcall
for 'erase+write', but not separately, so the writes need to do
in erase block size, even if the physical medium can probably
handle smaller writes after a block was erased.

	Arnd <><